"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class UniparentalDisomyEvidences(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_11 import reports as reports_6_4_0

        return {
            "ibds": reports_6_4_0.IdentityByDescent,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_11 import reports as reports_6_4_0

        return {
            "org.gel.models.report.avro.IdentityByDescent": reports_6_4_0.IdentityByDescent,
            "org.gel.models.report.avro.UniparentalDisomyEvidences": reports_6_4_0.UniparentalDisomyEvidences,
        }

    __slots__ = [
        "ibds",
    ]

    def __init__(
        self,
        ibds=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_4_0.UniparentalDisomyEvidences model.

        :param ibds:
        :type ibds: None | list[IdentityByDescent]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.4.0"
